# Generated from compass-core-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name compass-core

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 4%{?dist}
Summary: The Compass core stylesheet library
License: MIT
URL: http://compass-style.org/reference/compass/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# upstream gem doesn't ship tests, pull in from upstream
# git clone https://github.com/compass/compass.git
# cd compass/core && git checkout 1.0.3
# tar czvf ../compass-core-1.0.3-tests.tgz test
Source1: %{gem_name}-%{version}-tests.tgz

BuildRequires: rubygems-devel 
BuildRequires: rubygem(minitest) >= 5
BuildRequires: rubygem(diff-lcs)
BuildRequires: rubygem(sass)
BuildRequires: rubygem(multi_json)
BuildRequires: rubygem(timecop)
#BuildRequires: rubygem(true)
BuildArch: noarch

%description
The Compass core stylesheet library and minimum required ruby extensions. This
library can be used stand-alone without the compass ruby configuration file or
compass command line tools.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}
# Relax dependency to allow use of sass 3.7.3.
# https://github.com/Compass/compass/pull/2140
%gemspec_remove_dep -g sass ['< 3.5']
%gemspec_add_dep -g sass ['< 3.8']

sed -i 's/Sass::Util.has?(:instance_method, base, instance_method)/base.respond_to?(instance_method)/' \
  lib/compass/core/sass_extensions/functions/urls.rb

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Run the test suite
%check
pushd .%{gem_instdir}

tar xzvf %{SOURCE1}

# Port to minitest
sed -i 's|require "test/unit"|require "minitest/autorun"|' \
  test/units/test_helper.rb

sed -i 's/Test::Unit::TestCase/Minitest::Test/' \
  test/*/*.rb

ruby -Ilib:test/units \
     -e 'Dir.glob "./test/units/*_test.rb", &method(:require)'

popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data/
%{gem_instdir}/VERSION

%files doc
%doc %{gem_docdir}
%{gem_instdir}/stylesheets
%{gem_instdir}/templates

%changelog
* Mon Jan 14 2019 Pavel Valena <pvalena@redhat.com> - 1.0.3-1
- Update to Compass Core 1.0.3.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 23 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.1-4
- Exclude tests from files
- Change test invocation command

* Tue Sep 16 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.1-3
- Run tests, add BRs to do so

* Thu Aug 28 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.1-2
- Remove uneeded Requires

* Tue Aug 19 2014 Mo Morsi <mmorsi@redhat.com> - 1.0.1-1
- Initial package
